
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;FB PWM.c,7 :: 		void interrupt()
;FB PWM.c,9 :: 		if(CCP1IF_bit)
	BTFSS      CCP1IF_bit+0, 2
	GOTO       L_interrupt0
;FB PWM.c,11 :: 		if(flag1){
	BTFSS      _flag+0, 0
	GOTO       L_interrupt1
;FB PWM.c,12 :: 		Clock2 = 0;
	BCF        RC6_bit+0, 6
;FB PWM.c,13 :: 		Clock1 = 0;
	BCF        RC5_bit+0, 5
;FB PWM.c,14 :: 		flag1=0;
	BCF        _flag+0, 0
;FB PWM.c,15 :: 		CCPR1L = 0x03;  // 1/2 duty cycle  period. 10mS at 4 MHz
	MOVLW      3
	MOVWF      CCPR1L+0
;FB PWM.c,16 :: 		CCPR1H = 0x27;
	MOVLW      39
	MOVWF      CCPR1H+0
;FB PWM.c,17 :: 		}
	GOTO       L_interrupt2
L_interrupt1:
;FB PWM.c,20 :: 		TMR1H = 0x00;//Clear  timer1
	CLRF       TMR1H+0
;FB PWM.c,21 :: 		TMR1L = 0x00;
	CLRF       TMR1L+0
;FB PWM.c,23 :: 		CCPR1H = duty/256;
	MOVF       _duty+1, 0
	MOVWF      R0+0
	MOVLW      0
	BTFSC      _duty+1, 7
	MOVLW      255
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      CCPR1H+0
;FB PWM.c,24 :: 		CCPR1L = duty-CCPR1H*256;       // PWM duty cycle
	CLRF       R0+0
	MOVF       R0+0, 0
	SUBWF      _duty+0, 0
	MOVWF      CCPR1L+0
;FB PWM.c,25 :: 		flag1=1;
	BSF        _flag+0, 0
;FB PWM.c,28 :: 		if (phase)
	BTFSS      _flag+0, 1
	GOTO       L_interrupt3
;FB PWM.c,30 :: 		asm nop;
	NOP
;FB PWM.c,31 :: 		Clock1 = 1;
	BSF        RC5_bit+0, 5
;FB PWM.c,32 :: 		phase=0;
	BCF        _flag+0, 1
;FB PWM.c,34 :: 		}
	GOTO       L_interrupt4
L_interrupt3:
;FB PWM.c,37 :: 		Clock2 = 1;
	BSF        RC6_bit+0, 6
;FB PWM.c,38 :: 		phase=1;
	BSF        _flag+0, 1
;FB PWM.c,39 :: 		asm nop;
	NOP
;FB PWM.c,40 :: 		}
L_interrupt4:
;FB PWM.c,41 :: 		}
L_interrupt2:
;FB PWM.c,42 :: 		CCP1IF_bit = 0;// clear flag
	BCF        CCP1IF_bit+0, 2
;FB PWM.c,43 :: 		} // ISR...
L_interrupt0:
;FB PWM.c,44 :: 		}
L_end_interrupt:
L__interrupt8:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_PORT_Init:

;FB PWM.c,45 :: 		void PORT_Init(void)
;FB PWM.c,47 :: 		TRISC = 0x00; // PORTC output
	CLRF       TRISC+0
;FB PWM.c,48 :: 		PORTC = 0x00; // all zero
	CLRF       PORTC+0
;FB PWM.c,49 :: 		}
L_end_PORT_Init:
	RETURN
; end of _PORT_Init

_main:

;FB PWM.c,50 :: 		void main()
;FB PWM.c,52 :: 		flag1=1;
	BSF        _flag+0, 0
;FB PWM.c,53 :: 		PORT_Init(void);
	CALL       _PORT_Init+0
;FB PWM.c,56 :: 		CCP1CON = 0b00001010;// trigger special event
	MOVLW      10
	MOVWF      CCP1CON+0
;FB PWM.c,57 :: 		CCP1IE_bit = 1;
	BSF        CCP1IE_bit+0, 2
;FB PWM.c,58 :: 		CCPR1L = 0xA8;
	MOVLW      168
	MOVWF      CCPR1L+0
;FB PWM.c,59 :: 		CCPR1H = 0x01;
	MOVLW      1
	MOVWF      CCPR1H+0
;FB PWM.c,60 :: 		TMR1IF_bit = 0;
	BCF        TMR1IF_bit+0, 0
;FB PWM.c,61 :: 		GIE_bit = 1;
	BSF        GIE_bit+0, 7
;FB PWM.c,62 :: 		PEIE_bit = 1;
	BSF        PEIE_bit+0, 6
;FB PWM.c,63 :: 		T1CON = 0x01;
	MOVLW      1
	MOVWF      T1CON+0
;FB PWM.c,65 :: 		while(1)
L_main5:
;FB PWM.c,67 :: 		volt = adc_read(0);
	CLRF       FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      _volt+0
;FB PWM.c,68 :: 		out = 15 * volt;
	MOVLW      15
	MOVWF      R4+0
	CALL       _Mul_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      _out+0
	MOVF       R0+1, 0
	MOVWF      _out+1
;FB PWM.c,69 :: 		duty = 9900 - out;
	MOVF       R0+0, 0
	SUBLW      172
	MOVWF      _duty+0
	MOVF       R0+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBLW      38
	MOVWF      _duty+1
;FB PWM.c,70 :: 		}
	GOTO       L_main5
;FB PWM.c,71 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
